Description: Django 4: django.conf.urls.url is removed
Author: Thomas Goirand <zigo@debian.org>
Bug-Debian: https://bugs.debian.org/1015076
Forwarded: no
Last-Update: 2022-07-31

--- murano-dashboard-13.0.0.orig/muranodashboard/catalog/urls.py
+++ murano-dashboard-13.0.0/muranodashboard/catalog/urls.py
@@ -12,7 +12,7 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from django.conf import urls
+from django.urls import re_path
 
 from muranodashboard.catalog import views
 from muranodashboard.dynamic_ui import services
@@ -21,20 +21,20 @@ wizard_view = views.Wizard.as_view(
     services.get_app_forms, condition_dict=services.condition_getter)
 
 urlpatterns = [
-    urls.url(r'^$', views.IndexView.as_view(), name='index'),
-    urls.url(r'^switch_environment/(?P<environment_id>[^/]+)$',
-             views.switch, name='switch_env'),
-    urls.url(r'^add/(?P<app_id>[^/]+)/(?P<environment_id>[^/]+)/'
-             r'(?P<do_redirect>[^/]+)/(?P<drop_wm_form>[^/]+)$',
-             wizard_view, name='add'),
-    urls.url(r'^add/(?P<app_id>[^/]+)/(?P<environment_id>[^/]+)$',
-             views.deploy, name='deploy'),
-    urls.url(r'^quick-add/(?P<app_id>[^/]+)$',
-             views.quick_deploy, name='quick_deploy'),
-    urls.url(r'^details/(?P<application_id>[^/]+)$',
-             views.AppDetailsView.as_view(), name='application_details'),
-    urls.url(r'^images/(?P<app_id>[^/]*)',
-             views.get_image, name="images"),
-    urls.url(r'^supplier-images/(?P<app_id>[^/]*)',
-             views.get_supplier_image, name="supplier_images")
+    re_path(r'^$', views.IndexView.as_view(), name='index'),
+    re_path(r'^switch_environment/(?P<environment_id>[^/]+)$',
+            views.switch, name='switch_env'),
+    re_path(r'^add/(?P<app_id>[^/]+)/(?P<environment_id>[^/]+)/'
+            r'(?P<do_redirect>[^/]+)/(?P<drop_wm_form>[^/]+)$',
+            wizard_view, name='add'),
+    re_path(r'^add/(?P<app_id>[^/]+)/(?P<environment_id>[^/]+)$',
+            views.deploy, name='deploy'),
+    re_path(r'^quick-add/(?P<app_id>[^/]+)$',
+            views.quick_deploy, name='quick_deploy'),
+    re_path(r'^details/(?P<application_id>[^/]+)$',
+            views.AppDetailsView.as_view(), name='application_details'),
+    re_path(r'^images/(?P<app_id>[^/]*)',
+            views.get_image, name="images"),
+    re_path(r'^supplier-images/(?P<app_id>[^/]*)',
+            views.get_supplier_image, name="supplier_images")
 ]
--- murano-dashboard-13.0.0.orig/muranodashboard/categories/urls.py
+++ murano-dashboard-13.0.0/muranodashboard/categories/urls.py
@@ -12,13 +12,13 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from django.conf import urls
+from django.urls import re_path
 
 from muranodashboard.categories import views
 
 
 urlpatterns = [
-    urls.url(r'^$', views.CategoriesView.as_view(), name='index'),
-    urls.url(r'^add$', views.AddCategoryView.as_view(), name='add'),
-    urls.url(r'^delete$', views.CategoriesView.as_view(), name='delete'),
+    re_path(r'^$', views.CategoriesView.as_view(), name='index'),
+    re_path(r'^add$', views.AddCategoryView.as_view(), name='add'),
+    re_path(r'^delete$', views.CategoriesView.as_view(), name='delete'),
 ]
--- murano-dashboard-13.0.0.orig/muranodashboard/environments/urls.py
+++ murano-dashboard-13.0.0/muranodashboard/environments/urls.py
@@ -12,7 +12,7 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from django.conf import urls
+from django.urls import re_path
 
 from openstack_dashboard.dashboards.project.instances import views as inst_view
 
@@ -21,24 +21,24 @@ from muranodashboard.environments import
 ENVIRONMENT_ID = r'^(?P<environment_id>[^/]+)'
 
 urlpatterns = [
-    urls.url(r'^environments/$', views.IndexView.as_view(), name='index'),
-    urls.url(r'^create_environment$', views.CreateEnvironmentView.as_view(),
-             name='create_environment'),
-    urls.url(ENVIRONMENT_ID + r'/services$',
-             views.EnvironmentDetails.as_view(), name='services'),
-    urls.url(ENVIRONMENT_ID + r'/services/get_d3_data$',
-             views.JSONView.as_view(), name='d3_data'),
-    urls.url(ENVIRONMENT_ID + r'/(?P<service_id>[^/]+)/$',
-             views.DetailServiceView.as_view(), name='service_details'),
-    urls.url(ENVIRONMENT_ID + r'/start_action/(?P<action_id>[^/]+)/$',
-             views.StartActionView.as_view(), name='start_action'),
-    urls.url(ENVIRONMENT_ID +
-             r'/actions/(?P<task_id>[^/]+)(?:/(?P<optional>[^/]+))?/$',
-             views.ActionResultView.as_view(), name='action_result'),
-    urls.url(r'^(?P<instance_id>[^/]+)/$',
-             inst_view.DetailView.as_view(), name='detail'),
-    urls.url(r'^deployment_history$', views.DeploymentHistoryView.as_view(),
-             name='deployment_history'),
-    urls.url(ENVIRONMENT_ID + r'/deployments/(?P<deployment_id>[^/]+)$',
-             views.DeploymentDetailsView.as_view(), name='deployment_details'),
+    re_path(r'^environments/$', views.IndexView.as_view(), name='index'),
+    re_path(r'^create_environment$', views.CreateEnvironmentView.as_view(),
+            name='create_environment'),
+    re_path(ENVIRONMENT_ID + r'/services$',
+            views.EnvironmentDetails.as_view(), name='services'),
+    re_path(ENVIRONMENT_ID + r'/services/get_d3_data$',
+            views.JSONView.as_view(), name='d3_data'),
+    re_path(ENVIRONMENT_ID + r'/(?P<service_id>[^/]+)/$',
+            views.DetailServiceView.as_view(), name='service_details'),
+    re_path(ENVIRONMENT_ID + r'/start_action/(?P<action_id>[^/]+)/$',
+            views.StartActionView.as_view(), name='start_action'),
+    re_path(ENVIRONMENT_ID +
+            r'/actions/(?P<task_id>[^/]+)(?:/(?P<optional>[^/]+))?/$',
+            views.ActionResultView.as_view(), name='action_result'),
+    re_path(r'^(?P<instance_id>[^/]+)/$',
+            inst_view.DetailView.as_view(), name='detail'),
+    re_path(r'^deployment_history$', views.DeploymentHistoryView.as_view(),
+            name='deployment_history'),
+    re_path(ENVIRONMENT_ID + r'/deployments/(?P<deployment_id>[^/]+)$',
+            views.DeploymentDetailsView.as_view(), name='deployment_details'),
 ]
--- murano-dashboard-13.0.0.orig/muranodashboard/images/urls.py
+++ murano-dashboard-13.0.0/muranodashboard/images/urls.py
@@ -12,15 +12,15 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from django.conf import urls
+from django.urls import re_path
 
 from muranodashboard.images import views
 
 
 urlpatterns = [
-    urls.url(r'^$', views.MarkedImagesView.as_view(), name='index'),
-    urls.url(r'^mark_image$', views.MarkImageView.as_view(),
-             name='mark_image'),
-    urls.url(r'^remove_metadata$', views.MarkedImagesView.as_view(),
-             name='remove_metadata'),
+    re_path(r'^$', views.MarkedImagesView.as_view(), name='index'),
+    re_path(r'^mark_image$', views.MarkImageView.as_view(),
+            name='mark_image'),
+    re_path(r'^remove_metadata$', views.MarkedImagesView.as_view(),
+            name='remove_metadata'),
 ]
--- murano-dashboard-13.0.0.orig/muranodashboard/packages/urls.py
+++ murano-dashboard-13.0.0/muranodashboard/packages/urls.py
@@ -12,21 +12,21 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
-from django.conf import urls
+from django.urls import re_path
 
 from muranodashboard.packages import views
 
 
 urlpatterns = [
-    urls.url(r'^$', views.PackageDefinitionsView.as_view(), name='index'),
-    urls.url(r'^upload$', views.ImportPackageWizard.as_view(
-             views.FORMS), name='upload'),
-    urls.url(r'^import_bundle$', views.ImportBundleWizard.as_view(
-             views.BUNDLE_FORMS), name='import_bundle'),
-    urls.url(r'^modify/(?P<app_id>[^/]+)?$',
-             views.ModifyPackageView.as_view(), name='modify'),
-    urls.url(r'^(?P<app_id>[^/]+)?$',
-             views.DetailView.as_view(), name='detail'),
-    urls.url(r'^download/(?P<app_name>[^/]+)/(?P<app_id>[^/]+)?$',
-             views.download_packge, name='download'),
+    re_path(r'^$', views.PackageDefinitionsView.as_view(), name='index'),
+    re_path(r'^upload$', views.ImportPackageWizard.as_view(
+            views.FORMS), name='upload'),
+    re_path(r'^import_bundle$', views.ImportBundleWizard.as_view(
+            views.BUNDLE_FORMS), name='import_bundle'),
+    re_path(r'^modify/(?P<app_id>[^/]+)?$',
+            views.ModifyPackageView.as_view(), name='modify'),
+    re_path(r'^(?P<app_id>[^/]+)?$',
+            views.DetailView.as_view(), name='detail'),
+    re_path(r'^download/(?P<app_name>[^/]+)/(?P<app_id>[^/]+)?$',
+            views.download_packge, name='download'),
 ]
